<?php
#
# $Id$
# 
# pnp4nagios template for check_cpu.
#
# use RRD_STORAGE_TYPE = MULTIPLE.
#
# Author: Philippe Kueck <projects at unixadm dot org>

$opt[0] = " --vertical-label \"CPU time\" -b 1000 -u 101 -l -101 -E --title \"CPU Statistics for $hostname\" ";
$def[0] = "";

$c = 0; foreach ($this->DS as $k => $v) {
	if (preg_match("/cputime/i", $v['NAME'])) {
		$def[0] .= rrd::def("r_$k", $v['RRDFILE'], $v['DS'], "AVERAGE");
		$def[0] .= rrd::cdef("var$k", "r_$k,-1,*");
		$def[0] .= rrd::hrule(-$v['WARN'], "#ffff00");
		$def[0] .= rrd::hrule(-$v['CRIT'], "#ff0000");
	} else {
		$def[0] .= rrd::def("var$k", $v['RRDFILE'], $v['DS'], "AVERAGE");
	}
	$def[0] .= rrd::line1("var$k", rrd::color($c++), rrd::cut($v['NAME'], 20));
	$def[0] .= rrd::gprint("var$k", array("LAST", "AVERAGE", "MAX"), "%7.2lf %%");
	if (preg_match("/iowait/i", $v['NAME'])) {
		$def[0] .= rrd::hrule($v['WARN'], "#ffff00");
		$def[0] .= rrd::hrule($v['CRIT'], "#ff0000");
	}
}

?>
